data_growth = subset(allstreams.zakojska.df, Cohort!="C12" & Cohort!="P")
linf_var = "Const"
k_var = "Const"
source("m_grow3_zak0_noP13psi.r")  #model with no predictors
#system("./m_grow3 -est")  ##run model (-est means that standard errors of estimates are 
#not estimated)
m_grow3_zak0_noP.synth = synth.list.13
m_grow3_zak0_noP.psi = best.psi

data_growth = subset(allstreams.zakojska.df, Cohort!="C12" & Cohort!="P")
linf_var = "Const"
k_var = "Cohort"
source("m_grow3_zak0_noP13psi.r") #model with cohort as predictor for k
#system("./m_grow3 -est")##run model (-est means that standard errors of estimates are 
#not estimated)
m_grow3_zak_kcohort.synth = synth.list.13
m_grow3_zak_kcohort.psi = best.psi

data_growth = subset(allstreams.zakojska.df, Cohort!="C12" & Cohort!="P")
linf_var = "Cohort"
k_var = "Const"
source("m_grow3_zak0_noP13psi.r")#model with cohort as predictor for Linf
#system("./m_grow3 -est")##run model (-est means that standard errors of estimates are 
#not estimated)
m_grow3_zak_Linfcohort.synth = synth.list.13
m_grow3_zak_Linfcohort.psi = best.psi

data_growth = subset(allstreams.zakojska.df, Cohort!="C12" & Cohort!="P")
linf_var = "Cohort"
k_var = "Cohort"
source("m_grow3_zak0_noP13psi.r") #model with cohort as predictor for Linf and k
#system("./m_grow3 -est")##run model (-est means that standard errors of estimates are 
#not estimated)
m_grow3_zak_Linfcohort_kcohort.synth = synth.list.13
m_grow3_zak_Linfcohort_kcohort.psi = best.psi



AIC.zak0_noP.psi = matrix(rep(0,22),11,2)
AIC.zak0_noP.psi = as.data.frame(AIC.zak0_noP.psi)
colnames(AIC.zak0_noP.psi) = c("psi","AIC")
psi.series = seq(0,1,0.1)
for (i in 1:11) {
AIC.zak0_noP.psi[i,2] = m_grow3_zak0_noP.synth[[i]]$AIC
AIC.zak0_noP.psi[i,1] = psi.series[i]
}

AIC.zak_kcohort.psi = matrix(rep(0,22),11,2)
AIC.zak_kcohort.psi = as.data.frame(AIC.zak_kcohort.psi)
colnames(AIC.zak_kcohort.psi) = c("psi","AIC")
psi.series = seq(0,1,0.1)
for (i in 1:11) {
AIC.zak_kcohort.psi[i,2] = m_grow3_zak_kcohort.synth[[i]]$AIC
AIC.zak_kcohort.psi[i,1] = psi.series[i]
}

AIC.zak_Linfcohort.psi = matrix(rep(0,22),11,2)
AIC.zak_Linfcohort.psi = as.data.frame(AIC.zak_Linfcohort.psi)
colnames(AIC.zak_Linfcohort.psi) = c("psi","AIC")
psi.series = seq(0,1,0.1)
for (i in 1:11) {
AIC.zak_Linfcohort.psi[i,2] = m_grow3_zak_Linfcohort.synth[[i]]$AIC
AIC.zak_Linfcohort.psi[i,1] = psi.series[i]
}

AIC.zak_Linfcohort_kcohort.psi = matrix(rep(0,22),11,2)
AIC.zak_Linfcohort_kcohort.psi = as.data.frame(AIC.zak_Linfcohort_kcohort.psi)
colnames(AIC.zak_Linfcohort_kcohort.psi) = c("psi","AIC")
psi.series = seq(0,1,0.1)
for (i in 1:11) {
AIC.zak_Linfcohort_kcohort.psi[i,2] = m_grow3_zak_Linfcohort_kcohort.synth[[i]]$AIC
AIC.zak_Linfcohort_kcohort.psi[i,1] = psi.series[i]
}


min(AIC.zak0_noP.psi$AIC)
min(AIC.zak_kcohort.psi$AIC)
min(AIC.zak_Linfcohort.psi$AIC)
min(AIC.zak_Linfcohort_kcohort.psi$AIC)

AIC.zak = rbind(AIC.zak0_noP.psi,AIC.zak_kcohort.psi,AIC.zak_Linfcohort.psi,
AIC.zak_Linfcohort_kcohort.psi)

AIC.zak$mod = c(rep("0",11),rep("k",11),rep("gamma",11), rep("gamma_k",11))

AIC.zak = arrange(AIC.zak,AIC)






###### AIC UppVol ######

AIC.vol0_noP.psi = matrix(rep(0,22),11,2)
AIC.vol0_noP.psi = as.data.frame(AIC.vol0_noP.psi)
colnames(AIC.vol0_noP.psi) = c("psi","AIC")
psi.series = seq(0,1,0.1)
for (i in 1:11) {
AIC.vol0_noP.psi[i,2] = m_grow3_vol0_noP.synth[[i]]$AIC
AIC.vol0_noP.psi[i,1] = psi.series[i]
}

AIC.vol_kcohort.psi = matrix(rep(0,22),11,2)
AIC.vol_kcohort.psi = as.data.frame(AIC.vol_kcohort.psi)
colnames(AIC.vol_kcohort.psi) = c("psi","AIC")
psi.series = seq(0,1,0.1)
for (i in 1:11) {
AIC.vol_kcohort.psi[i,2] = m_grow3_vol_kcohort.synth[[i]]$AIC
AIC.vol_kcohort.psi[i,1] = psi.series[i]
}

AIC.vol_Linfcohort.psi = matrix(rep(0,22),11,2)
AIC.vol_Linfcohort.psi = as.data.frame(AIC.vol_Linfcohort.psi)
colnames(AIC.vol_Linfcohort.psi) = c("psi","AIC")
psi.series = seq(0,1,0.1)
for (i in 1:11) {
AIC.vol_Linfcohort.psi[i,2] = m_grow3_vol_Linfcohort.synth[[i]]$AIC
AIC.vol_Linfcohort.psi[i,1] = psi.series[i]
}

AIC.vol_Linfcohort_kcohort.psi = matrix(rep(0,22),11,2)
AIC.vol_Linfcohort_kcohort.psi = as.data.frame(AIC.vol_Linfcohort_kcohort.psi)
colnames(AIC.vol_Linfcohort_kcohort.psi) = c("psi","AIC")
psi.series = seq(0,1,0.1)
for (i in 1:11) {
AIC.vol_Linfcohort_kcohort.psi[i,2] = m_grow3_vol_Linfcohort_kcohort.synth[[i]]$AIC
AIC.vol_Linfcohort_kcohort.psi[i,1] = psi.series[i]
}

AIC.vol0_noP.psi
AIC.vol_kcohort.psi
AIC.vol_Linfcohort.psi
AIC.vol_Linfcohort_kcohort.psi

min(AIC.vol0_noP.psi$AIC)
min(AIC.vol_kcohort.psi$AIC)
min(AIC.vol_Linfcohort.psi$AIC)
min(AIC.vol_Linfcohort_kcohort.psi$AIC)


AIC.vol = rbind(AIC.vol0_noP.psi,AIC.vol_kcohort.psi,AIC.vol_Linfcohort.psi,
AIC.vol_Linfcohort_kcohort.psi)

AIC.vol$mod = c(rep("0",11),rep("k",11),rep("gamma",11), rep("gamma_k",11))

AIC.vol = arrange(AIC.vol,AIC)